* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

h1 {
    color: white;
}

body {
    color: white;
}

.user-page {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.current-status {
    padding-left: 5rem;
    width: 100%;
}

.settings-message {
    font-size: 20px;
    text-align: center;
}

.settings-message--error {
    color: #923;
}

.settings-message--success {
    color: #293;
}

.image-upload {
    display: none;
}

form {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    max-width: 1000px;
    width: 100%;
    padding: 1rem;
}

form > *:not(:first-of-type) {
    margin-top: 20px;
}

@media (min-width: 750px) {
    form {
        display: flex;
        flex-direction: column;
    }

    form > * {
        flex-grow: 0;
        flex-shrink: 0;
    }

    form .input__container {
        padding: 0 3rem;
        flex-basis: calc(100% - 200px);
    }

    form .profile-pic__container {
        flex-basis: 200px;
    }
}

.profile-picture {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
}

.profile-pic__container,
.profile-pic__foreground {
    line-height: 200px;
    text-align: center;
    background-color: white;
    color: black !important;
}

.profile-pic__container {
    overflow: hidden;
    position: relative;
    border: 6px solid var(--third-color);
    border-radius: 100%;
    width: 200px;
    height: 200px;
    background-size: cover;
    background-position: center;
}

.profile-picture__frame-with-label {
    display: flex;
    flex-direction: column;
    padding: 2rem;
}

b {
    padding-bottom: 1rem;
    text-align: center;
}

.input-box {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    width: 100%;
}

.profile-pic__foreground {
    position: absolute;
    top: 0;
    width: 200px;
    height: 200px;
    color: transparent;
    cursor: pointer;
    transition: color 0.2s, background-color 0.2s;
    background-color: transparent;
}

.profile-pic__foreground:hover {
    color: #fff;
    background-color: rgba(20, 20, 20, 0.85);
}

.input__container {
    display: flex;
    max-width: 400px;
}

@media (min-width: 750px) {
    .input__container > * {
        flex-basis: 49%;
    }
}

.input__container > * input {
    width: 100%;
}

input[type=text],
input[type=email],
input[type=password] {
    padding: 5px 8px;
}

#status {
    width: 200%;
}

#password-new {
    width: 200%;
}

#password-current {
    width: 200%;
}

input[type=submit] {
    border: 2px solid #333;
    border-radius: 3px;
    padding: 7px 15px;
    -webkit-appearance: none;
    background-color: #FFF;
    color: #333;
    transition: color 0.2s, background-color 0.2s;
}

input[type=submit]:hover, input[type=submit]:focus {
    background-color: #333;
    color: #EEE;
}

.text-input {
    outline-color: var(--third-color);
    border-radius: 5%;
}

label {
    color: rgba(0, 0, 0, 0.4);
    color: white;
    width: 200%;
}

.btn.btn-primary.btn-lg {
    width: 70%;
    background: var(--third-color);
    margin-top: 3rem;
    border-color: white !important;
}

.reroute {
    color: white;
}
